%ifarch x86_64
%define myarch x86_64
%else
%define myarch i686
%endif

%define _libmoddir /lib/modules

%{!?kernel:%define kernel %(rpm -q kernel-devel --qf "%{RPMTAG_VERSION}-%{RPMTAG_RELEASE}\\n" | tail -1)}

%define kversion %(echo "%{kernel}" | sed -e 's|-.*||')
%define krelease %(echo "%{kernel}" | sed -e 's|.*-||')


%define moduledir /extra

Summary: Patched driver for CIFS filesystem.
Name: kernel-module-cifs-%{kernel}
Version: 1.68
Release: 1%{?dist}
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
License: GPL, other
Epoch: 0
Group: System Environment/Kernel
ExclusiveArch: i686 x86_64
Source0: cifs-%{version}.tgz
Patch100: cifs-%{version}-direntry-revalidate.patch

BuildRoot: %{_tmppath}/root-%{name}-%{version}

BuildRequires: kernel-devel = %{kernel}

Requires: kernel = %{kernel}

Provides: kernel-module
Provides: kernel-module-cifs = %{epoch}:%{version}-%{release}


%description
Patched driver for CIFS filesystem.

This driver replaces in-kernel %{name}  
by its updated version: %{version}

%prep
%setup -n cifs-%{version}
%patch100 -p1 -b .direntry

perl -p -i -e 's/%{version}/%{version}-cern/' cifsfs.h

%build
make -C /usr/src/kernels/%{kernel}.%{myarch} M=$PWD

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}

make -C /usr/src/kernels/%{kernel}.%{myarch} M=$PWD modules_install

%postun
/sbin/depmod -aeF /boot/System.map-%{kernel}.%{myarch} %{kernel}.%{myarch} > /dev/null || :

%post
/sbin/depmod -aeF /boot/System.map-%{kernel}.%{myarch} %{kernel}.%{myarch} > /dev/null || :

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%{_libmoddir}/%{kernel}.%{myarch}/%{moduledir}/*


%changelog
* Thu Mar 1 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- Initial SLC6 package
